wald {arf3DS4} | R Documentation

## Calculate Wald statistics for an arf model.

### Description

Calculate Wald statistics for an arf model.

### Usage

    wald(arfmodel, waldobject = new("wald"), options = loadOptions(arfmodel))

### Arguments

`arfmodel` | A valid model object.
`waldobject` | An object of class "wald". By default a new (empty) "wald" object is created. To test specific hypotheses a "wald" object with the `@consts` modified can be used.
`options` | An object of class "options".

### Details

`wald` requires the (co)variance matrix of parameter estimates, it will give an error when the `arfmodel@varcov` slot does not exist (or has invalid values).

### Value

Returns an object of class "model" with the appropriate slots.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`model`, `varcov`, `processModel`, `options`

[Package arf3DS4 version 2.5-10 Index]